probe::ioblock_trace.end
Prev | Chapter 9. IO Scheduler and block IO Tapset | Next

## Name

probe::ioblock_trace.end — Fires whenever a block I/O transfer is complete.

## Synopsis

    ioblock_trace.end

## Values

`bdev_contains`

  points to the device object which contains the partition (when bio structure represents a partition)

`p_start_sect`

  points to the start sector of the partition structure of the device

`flags`

  see below BIO_UPTODATE 0 ok after I/O completion BIO_RW_BLOCK 1 RW_AHEAD set, and read/write would block BIO_EOF 2 out-out-bounds error BIO_SEG_VALID 3 nr_hw_seg valid BIO_CLONED 4 doesn't own data BIO_BOUNCED 5 bio is a bounce bio BIO_USER_MAPPED 6 contains user pages BIO_EOPNOTSUPP 7 not supported

`bytes_done`

  number of bytes transferred

`devname`

  block device name

`size`

  total size in bytes

`idx`

  offset into the bio vector array `phys_segments` - number of segments in this bio after physical address coalescing is performed.

`opf`

  operations and flags

`sector`

  beginning sector for the entire bio

`vcnt`

  bio vector count which represents number of array element (page, offset, length) which makes up this I/O request

`name`

  name of the probe point

`ino`

  i-node number of the mapped file

`q`

  request queue on which this bio was queued.

`bdev`

  target block device

`rw`

  binary trace for read/write request

## Context

The process signals the transfer is done.

Prev | Up | Next
probe::ioblock_trace.bounce | Home | probe::ioblock_trace.request